go-ring API Reference
OpenapiDevices

Get a device

Retrieves details for a specific device.

GET
/device_info/v3/devices/{device_id}

Authorization

RingAccessToken
AuthorizationBearer <token>

Send an OAuth access token in the Authorization: Bearer header. Token exchange and refresh operations are described under Authentication.

In: header

Path Parameters

device_id*integer
Formatint64
Range1 <= value

Response Body

application/json

curl -X GET "https://example.com/device_info/v3/devices/1"
{  "device": {    "id": 1,    "kind": "stickup_cam_mini_ptz_v1",    "description": "Synthetic device"  }}